Skip to content

Modify user built-in field configuration

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Modify user built-in field configuration. Built-in fields are not allowed to modify data types and uniqueness.

Method name

ManagementClient.set_user_base_fields

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a SetUserBaseFieldDto[]Yes-Custom field list Array length limit: 50.

Request Response

Type: CustomFieldListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarrayResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "targetType": "USER",
    "createdAt": "2022-03-17T05:23:01.567Z",
    "dataType": "ENUM",
    "key": "school",
    "label": "School",
    "description": "School",
    "visibleInAdminConsole": true,
    "visibleInUserCenter": true,
    "i18n": {
      "label": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        },
        "zh-TW": {
          "enabled": false,
          "value": "繁體中文"
        }
      }
    },
    "options": "[{\"value\":\"pku\",\"label\":\"xxxxx\"}]"
  }
}

Data Structure

SetUserBaseFieldDto

NameTypeIs it required?DescriptionSample value
keystringYesField key. Cannot conflict with the key of built-in fields. Cannot be modified after setting.school
labelstringnoDisplay nameschool
descriptionstringnoDetailed descriptionschool
userEditablebooleannoEditable by user
visibleInAdminConsolebooleannoWhether to display in the GenAuth console:
- If it is a user-defined field, control whether to display in user details;
- If it is a department-defined field, control whether to display in department details;
- If it is a role extension field, control whether to display in role details.
true
visibleInUserCenterbooleannoWhether to display in the user's personal center (this parameter does not control whether the API interface is returned).true
i18nnoMulti-language display name Nested type: <a CustomFieldI18n.{"label":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"}}}

CustomFieldI18n

NameTypeIs it required?DescriptionSample value
labelYesMulti-language support field Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"},"ja-JP":{"enabled":false,"value":"日本語"}}

LangObject

NameTypeRequiredDescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nesting type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesIs it enabled? If enabled, and the console selects this language, the content will be displayed. (Closed by default)
valuestringYesMultilingual content

CustomFieldDto

NameTypeIs it required?DescriptionSample value
targetTypestringYesTarget object type:
- USER: User
- ROLE: Role
- GROUP: Group
- DEPARTMENT: Department
USER
createdAtstringNoCreation time, only valid for custom fields, built-in fields do not have creation time.2022-03-17T05:23:01.567Z
dataTypestringYesData type, cannot be modified after setting.
- STRING: string type
- NUMBER: number type
- DATETIME: date type
- BOOLEAN: Boolean type
- ENUM: enumeration value type
STRING
keystringYesField key, cannot conflict with the key of built-in fields, cannot be modified after setting.school
labelstringyesDisplay nameschool
descriptionstringnoDetailed descriptionschool
encryptedbooleannoWhether to store encrypted data. When enabled, the newly added data of this field will be encrypted. Once this parameter is set, it cannot be changed.
isUniquebooleanyesWhether it is a unique field. When enabled, the value reported by the current field will be uniquely verified. This parameter is only valid for fields with data types of strings and numbers.
userEditablebooleannoWhether the user can edit it. If it is a special field such as mobile phone number or email address, the user cannot modify it directly and needs to verify it first through verification code or other methods.
visibleInAdminConsolebooleanyesWhether it needs to be displayed in the GenAuth console:
- If it is a user-defined field, control whether it is displayed in the user details;
- If it is a department-defined field, control whether it is displayed in the department details;
- If it is a role extension field, control whether it is displayed in the role details.
true
visibleInUserCenterbooleanNoWhether to display in the user's personal center (this parameter does not control whether the API interface is returned).true
i18nNoMulti-language display name Nested type: <a CustomFieldI18n.{"label":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"}}}
optionsarrayNoEnumeration value type selection Nested type: <a CustomFieldSelectOption.[{"value":"pku","label":"xxxxx"}]

CustomFieldI18n

NameTypeIs it required?DescriptionSample value
labelyesField that supports multiple languages Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"},"zh-TW":{"enabled":false,"value":"繁體中文"},"ja-JP":{"enabled":false,"value":"日本語"}}

LangObject

NameTypeRequiredDescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nesting type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesIs it enabled? If enabled, and the console selects this language, the content will be displayed. (Closed by default)
valuestringYesMultilingual content

CustomFieldSelectOption

NameTypeIs it required?DescriptionSample value
valuestringYesEnumeration value valuehust
labelstringYesEnumeration value labelHuazhong University of Science and Technology

Agent infrastructure for identity, memory, and web action.